
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Poppins', sans-serif;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background: url("https://images.unsplash.com/photo-1500673922987-e212871fec22") no-repeat center center/cover;

    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    transition: background-image 0.5s ease-in-out;
    padding: 20px;
}

.weather-app {
    width: 100%;
    max-width: 380px;
    padding: 35px;
    border-radius: 18px;
    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(12px);
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.4);
    text-align: center;
    color: white;
    transition: 0.3s ease;
}

.weather-app:hover {
    transform: translateY(-4px);
}

.weather-app h1 {
    margin-bottom: 25px;
    font-weight: 600;
    letter-spacing: 1px;
}

input {
    width: 100%;
    padding: 12px 15px;
    border-radius: 25px;
    border: none;
    outline: none;
    font-size: 14px;
    margin-bottom: 15px;
}

button {
    width: 100%;
    padding: 12px;
    border-radius: 25px;
    border: none;
    background:#2563eb;
    color: white;
    font-weight: 500;
    cursor: pointer;
    transition: 0.3s ease;
}

button:hover {
    transform: scale(1.04);
    box-shadow: 0 5px 15px rgba(0, 242, 254, 0.4);
}

.weather-result {
    margin-top: 25px;
}

.weather-result h2 {
    font-size: 22px;
    margin-bottom: 8px;
}

.weather-result p {
    font-size: 16px;
    margin: 6px 0;
    text-transform: capitalize;
}

@media (max-width: 400px) {
    .weather-container {
        padding: 25px;
    }
}